#
# datayear.R,  5 Sep 16
#
# Plot number of datasets in each year

library("dplyr")


datayear=read.csv("datayear.csv", as.is=TRUE)

num_col=length(unique(datayear$data))
pal_col=rainbow(num_col)

# We need all years to have a value, add dummy to force zeroes
dummy=data.frame(year=min(datayear$year):max(datayear$year), data="dummy")
datayear=rbind(datayear, dummy)

dy=table(datayear)
dy=dy[, -1] # relies on dummy being the first :-( !

t=dimnames(dy)
dy=dy+1e-4

plot(t$year, dy[ , 1], type="l", col=pal_col[1], log="y",
	ylim=c(0.95, max(dy)),
	xlab="Year", ylab="Data sets")
lines(t$year, dy[ , 2], col=pal_col[2])
lines(t$year, dy[ , 3], col=pal_col[3])
lines(t$year, dy[ , 4], col=pal_col[4])

legend(x="topleft", legend=t$data, bty="n", fill=pal_col, cex=1.2)

